Index: extensions/delete_rate/language/lv_LV/description.txt
===================================================================
--- extensions/delete_rate/language/lv_LV/description.txt	(revision 8000)
+++ extensions/delete_rate/language/lv_LV/description.txt	(revision 8000)
@@ -0,0 +1,1 @@
+Lai dzēstu piezīmes par foto, attēliem kategorijā/albūma vai visiem foto
Index: extensions/delete_rate/language/lv_LV/index.php
===================================================================
--- extensions/delete_rate/language/lv_LV/index.php	(revision 8000)
+++ extensions/delete_rate/language/lv_LV/index.php	(revision 8000)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/delete_rate/language/lv_LV/plugin.lang.php
===================================================================
--- extensions/delete_rate/language/lv_LV/plugin.lang.php	(revision 8000)
+++ extensions/delete_rate/language/lv_LV/plugin.lang.php	(revision 8000)
@@ -0,0 +1,27 @@
+<?php
+
+//onglet Purge Hit photo
+$lang['rate_onglet_all'] = 'Vērtējuma vispārēja dzēšana';
+$lang['rate_all'] = 'Dzēst visus vērtējumus visiem attēliem galerijā';
+$lang['rate_purgeall'] = 'Dzēst visu galerijas vērtējumu';
+$lang['rate_totalok'] = 'Vispārējā dzēšana veikta sekmīgi';
+
+//onglet Purge Hit photo
+$lang['rate_onglet_photo'] = 'Dzēst foto foto novērtējumu';
+$lang['rate_select'] = 'Atlasīt foto';
+$lang['rate_select_photo'] = 'Izvēlēties foto';
+$lang['rate_photo'] = 'Izvēlieties foto, kura vērtējumu dzēst';
+$lang['rate_listphoto'] = 'Šeit ir jūsu foto saraksts';
+$lang['rate_purgephoto'] = 'Dzēst atlasītā attēla vērtējumu';
+$lang['rate_photook'] = 'Piezīmes dzēšana pabeigta sekmīgi';
+
+//onglet purge les notes de toutes les images d'une categorie / d'un album
+$lang['rate_onglet_album'] = 'Dzēst vienas kategorijas visu attēlu vērtējumus';
+$lang['rate_onglet_categorie_info'] = 'Esat uzmanīgi, foto vērtējumi vairākās kategorijās tiks dzēsti visās kategorijās';
+$lang['rate_select_cat'] = 'Atlsīt kategoriju';
+$lang['rate_cat'] = 'Izvēlieties kategoriju, kad vēlaties dzēst';
+$lang['rate_listcat'] = 'Šeit ir jūsu kategoriju saraksts';
+$lang['rate_purgecat'] = 'Dzēst visu attēlu vērtējumus izvēlētajā kategorijā';
+$lang['rate_albumok'] = 'Vērtējumu dzēšana no visas kategorijas veiksmīgi pabeigta';
+
+?>