Index: extensions/ASearchEngine/language/de_DE/description.txt
===================================================================
--- extensions/ASearchEngine/language/de_DE/description.txt	(revision 8005)
+++ extensions/ASearchEngine/language/de_DE/description.txt	(revision 8005)
@@ -0,0 +1,1 @@
+Eine erweiterte Suchmaschine
Index: extensions/ASearchEngine/language/de_DE/index.php
===================================================================
--- extensions/ASearchEngine/language/de_DE/index.php	(revision 8005)
+++ extensions/ASearchEngine/language/de_DE/index.php	(revision 8005)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/ASearchEngine/language/de_DE/plugin.lang.php
===================================================================
--- extensions/ASearchEngine/language/de_DE/plugin.lang.php	(revision 8005)
+++ extensions/ASearchEngine/language/de_DE/plugin.lang.php	(revision 8005)
@@ -0,0 +1,131 @@
+<?php
+
+$lang['To install this plugin, you need to install Grum Plugin Classes %s before']="Um dieses Plug-in zu installieren muss Grum Plugin Classes vorinstalliert sein";
+
+$lang['ase_release']='r';
+
+$lang['ASETag']="Erweiterte Suchmaschine - Tags";
+$lang['ASERate']="Erweiterte Suchmaschine - Durchschnittliche Bewertung";
+$lang['ASEDate']="Erweiterte Suchmaschine - Daten";
+$lang['ASECategory']="Erweiterte Suchmaschine - Kategorien";
+$lang['ASEKeyword']="Erweiterte Suchmaschine - Stichwörter";
+$lang['ASEHD']="Erweiterte Suchmaschine - HD Bilder";
+
+$lang['ase_search']='Suche';
+$lang['ase_config']='Konfiguration';
+
+$lang['ase_search_with_multiple_criteria']="Multi-Kriterium Suche";
+
+$lang['ase_ok']="Ok";
+$lang['ase_cancel']="löschen";
+
+$lang['ase_add_category']="Fügt eine oder mehrere Kategorien hinzu";
+$lang['ase_add_date']="Fügt eine Zeitspanne hinzu";
+$lang['ase_add_keyword']="Fügt ein Stichwort hinzu";
+$lang['ase_add_HD']="Fügt die Anwesenheit eines HD Bildes hinzu";
+$lang['ase_add_rate']="Fügt eine Bewertung hinzu";
+$lang['ase_add_tag']="Fügt eine oder mehrere Tags hinzu";
+
+
+$lang['ase_choose_categories']="Suche auf eine oder mehrere Kategorien";
+$lang['ase_choose_date']="Suche in einem bestimmten Zeitraum";
+$lang['ase_search_keyword']="Suchen Sie auf ein Stichwort";
+$lang['ase_search_HD']="Suchen Sie auf der Anwesenheit eines HD-Bild";
+$lang['ase_search_tags']="Suche nach Tags";
+$lang['ase_choose_rate']="Suche nach Bewertung";
+
+$lang['ase_categories']="Kategorien";
+$lang['ase_category']="Kategorie";
+$lang['ase_y']='Ja';
+$lang['ase_n']='Nein';
+$lang['ase_one_category_must_be_selected']="Eine Kategorie sollte ausgewählt werden";
+$lang['ase_searching_in_subcat']="Suche in den Unterkategorien";
+$lang['ase_with_search_in_subcat']="mit der Suche in den Unterkategorien";
+
+$lang['ase_search_on_date']="Suche nach Datum";
+$lang['ase_date_between']="Zwischen";
+$lang['ase_date_to']="und";
+$lang['ase_image_availability']="Verfügbarkeit in der Galerie";
+$lang['ase_image_shot']="Bilderaufnahme";
+$lang['ase_the_date']="Datum";
+$lang['ase_is_between']="ist zwischen"; // Das Datum ist zwischen... und...
+$lang['ase_is_between_and']="und"; // Das Datum ist zwischen... und...
+$lang['ase_is_greater_or_equal']="ist grösser als oder gleich"; // Das Datum ist grösser als oder gleich ...
+$lang['ase_is_less_or_equal']="ist kleiner als  oder gleich"; // Das Datum ist kleiner als oder gleich ...
+$lang['ase_is_equal_to']="ist gleich wie"; // Das Datum ist ...
+
+$lang['ase_dateCreation']="Abschussdatum";
+$lang['ase_dateAvailable']="Verfügbares Datum";
+
+$lang['ase_error_date_from']="Das Startdatum für den Zeitraum ist nicht gültig";
+$lang['ase_error_date_to']="Das Enddatum für den Zeitraum ist nicht gültig";
+$lang['ase_error_date']="Das Datum ist nicht gültig";
+$lang['ase_error_period']="Der Zeitraum ist ungültig: Das Startdatum dieses Zeitraumes muss früher oder im gleichen Zeitraum des Enddatums";
+
+$lang['ase_keyword']="Stichwort zu finden";
+$lang['ase_ignore_case']="Groß-/Kleinschreibung ignorieren";
+$lang['ase_whole_words_only']="Nur Ganze Wörter";
+$lang['ase_search_into']="Suchen in";
+$lang['ase_picture_name']="Der Bildername";
+$lang['ase_picture_desc']="Der Kommentar des Bildes";
+$lang['ase_picture_filename']="Der Dateiname des Bildes";
+
+$lang['ase_error_keyword_length']="Stichwort für die Suche ist zu klein!";
+$lang['ase_error_no_target']="Die Suche sollte mindestens in einer Fotoeigenschaft geführt werden";
+$lang['ase_optName']="Name";
+$lang['ase_optDesc']="Kommentar";
+$lang['ase_optFileName']="Dateiname";
+$lang['ase_search_the_keyword']="Stichwort suchen";
+$lang['ase_search_into_name']="im Bildernamen";
+$lang['ase_search_into_desc']="Im Kommentar des Bildes";
+$lang['ase_search_into_filename']="Im Dateiname des Bildes";
+$lang['ase_search_with_case_ignored']="Groß-und Kleinschreibung wird ignoriert";
+$lang['ase_search_with_whole_words']="Nur ganze Wörter";
+
+$lang['ase_search_hd']="HD Bilder suchen";
+
+$lang['ase_the_picture_has_HD']="Anwesenheit eines HD Bildes";
+$lang['ase_the_picture']="Bild";
+$lang['ase_picture_with_hd']="hat ein HD Bild";
+$lang['ase_picture_without_hd']="hat kein HD Bild";
+
+$lang['ase_the_rate']="Bewertung";
+$lang['ase_dont_have_rate']="Das Bild ist nicht bewertet";
+$lang['ase_Dont_have_rate']="Das Bild ist nicht bewertet"; // mit ersten Buchstaben in Groß-
+$lang['ase_average_rate']="Durchschnittsbewertung";
+
+$lang['ase_error_rate_range']="Das Intervall ist ungültig: die Mindestbewertung muss kleiner oder gleich der maximalen Bewertung sein";
+$lang['ase_is_between2']="ist zwischen"; // Die Bewertung liegt zwischen ... und ...
+$lang['ase_is_between_and2']="und"; // die Bewertung liegt zwischen... und...
+$lang['ase_is_greater_or_equal2']="ist größer als oder gleich"; // Die Bewertung ist grösser als oder gleich ...
+$lang['ase_is_less_or_equal2']="ist kleiner als oder gleich"; // Die Bewertung ist kleiner als oder gleich...
+$lang['ase_is_equal2']="gleich"; // Die Bewertung ist gleich...
+
+
+$lang['ase_config']="Einstellung";
+$lang['ase_gallery_integration']="Integration in die Galerie";
+$lang['ase_keyword_module']="Modul 'Stichwörter'";
+
+$lang['ase_publicAccess_active']="Ersetzen Sie die Piwigo Suchseite mit der <i>Advanced Search Engine</i> Suchseite";
+$lang['ase_publicAccess_allowedPlugins']="Verfügbare Module:";
+$lang['ase_publicAccess_applyLimits']="Beschränken Sie die Anzahl der zurückkehrenden Elemente ";
+$lang['ase_keyword_minLength']="Mindeste  Anzahl von Zeichen erforderlich, um eine Suche nach einem Stichwort zu akzeptieren";
+
+$lang['ase_error_limit_must_be_integer_gt_0']="Die Anzahl der zurückkehrende Elemente muss grösser als 0 sein.";
+$lang['ase_error_key_word_min_length_must_be_integer_gt_0']="Die minimale Anzahl an Zeichen muss größer als 0 sein";
+$lang['ase_error_no_module_checked']="Falls die Piwigo Suchseite ersetzt wird, muss mindestens ein Modul ausgewählt werden";
+
+$lang['ase_apply']="Anwenden";
+$lang['ase_config_saved']="Die Einstellung wurde gespeichert";
+
+$lang['ase_tags']="Tags";
+$lang['ase_tag_start_to_type_text']="Beginnen sie...";
+$lang['ase_tag_x_tags_display']="%s Tags angezeigt";
+$lang['ase_tag_x_tags_found']="%s Tags gefunden";
+$lang['ase_tag_method_and']="Alle ausgewählten Tags müssen vorhanden sein";
+$lang['ase_tag_method_or']="Einer der ausgewählten Tags muss vorhanden sein";
+$lang['ase_tag_method_and_text']="All Tags müssen vorhanden sein:";
+$lang['ase_tag_method_or_text']="Ein Tag muss vorhanden sein:";
+$lang['ase_error_no_tag_selected']="Mindestens ein Tag muss vorhanden sein";
+
+?>