Index: extensions/delete_rate/language/de_DE/description.txt
===================================================================
--- extensions/delete_rate/language/de_DE/description.txt	(revision 8015)
+++ extensions/delete_rate/language/de_DE/description.txt	(revision 8015)
@@ -0,0 +1,1 @@
+So entfernen Sie die Notizen von Fotos, Bilder einer Kategorie / Album oder alle Fotos.
Index: extensions/delete_rate/language/de_DE/index.php
===================================================================
--- extensions/delete_rate/language/de_DE/index.php	(revision 8015)
+++ extensions/delete_rate/language/de_DE/index.php	(revision 8015)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/delete_rate/language/de_DE/plugin.lang.php
===================================================================
--- extensions/delete_rate/language/de_DE/plugin.lang.php	(revision 8015)
+++ extensions/delete_rate/language/de_DE/plugin.lang.php	(revision 8015)
@@ -0,0 +1,28 @@
+<?php
+
+//onglet Purge Hit photo
+$lang['rate_onglet_all'] = 'Totale Beseitigung der Bewertungen';
+$lang['rate_all'] = 'Beseitigen Sie alle Bewertungen von alle Bilder der Galerie';
+$lang['rate_purgeall'] = 'Beseitigen Sie alle Bewertungen der Galerie';
+$lang['rate_totalok'] = 'Totale Beseitigung erfolgreich abgeschlossen';
+
+//onglet Purge Hit photo
+$lang['rate_onglet_photo'] = 'Beseitigt die Bewertung eines Foto';
+$lang['rate_select'] = 'Ein Foto auswählen';
+$lang['rate_select_photo'] = 'Foto auswählen';
+$lang['rate_photo'] = 'Wählen Sie das Foto, welchem die Bewertung entfernt wird';
+$lang['rate_listphoto'] = 'Liste Ihrer Fotos';
+$lang['rate_purgephoto'] = 'Beseitigt die Bewertung des ausgewählten Bildes';
+$lang['rate_photook'] = 'Die Beseitigung der Notizen wurde erfolgreich abgeschlossen';
+
+//onglet purge les notes de toutes les images d'une categorie / d'un album
+$lang['rate_onglet_album'] = 'Beseitigt die Bewertungen aller Fotos einer Kategorie';
+$lang['rate_onglet_categorie_info'] = 'Achtung. Alle Bewertungen der Fotos, welche sich auf mehreren Kategorien befinden, werden in allen Kategorien beseitigt.';
+$lang['rate_select_cat'] = 'Kategorie auswählen';
+$lang['rate_cat'] = 'Wählen Sie die Kategorie aus, von der die Bewertungen beseitigt werden.';
+$lang['rate_listcat'] = 'Liste der Kategorien'
+$lang['rate_purgecat'] = 'Entfernt alle Bewertungen der Bilder in der ausgewählten Kategorie.';
+$lang['rate_albumok'] = 'Beseitigung der Bewertungen aller Kategorien erfolgreich abgeschlossen';
+
+
+?>