Index: /extensions/Photos/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/Photos/language/es_ES/plugin.lang.php	(revision 8026)
+++ /extensions/Photos/language/es_ES/plugin.lang.php	(revision 8026)
@@ -0,0 +1,45 @@
+<?php
+$lang['%d new image'] = '%d nueva fotos';
+$lang['%d new images'] = '%d nuevas fotos';
+$lang['Complete RSS feed (images, comments)'] = 'Flujo RSS completo (fotos, comentarios)';
+$lang['Image only RSS feed'] = 'Flujo RSS sólo las fotos';
+$lang['The RSS notification feed provides notification on news from this website : new pictures, updated albums, new comments. Use a RSS feed reader.'] = 'El flujo RSS notifica eventos de la galería:fotos nuevas, categorías actualizadas, nuevos comentarios de usuarios. Debe usarse con un lector de flujos RSS.';
+$lang['add this image to your favorites'] = 'agregar esta foto a sus favoritos';
+$lang['display best rated items'] = 'mostrar las fotos con mejor calificación';
+$lang['delete this image from your favorites'] = 'Borrar esta foto de sus favoritos';
+$lang['display my favorites pictures'] = 'mostrar mis fotos favoritas';
+$lang['shows images at the root of this category'] = 'muestra las fotos a la raíz de esta categoría';
+$lang['Maximum height of the pictures'] = 'Altura máxima de las fotos';
+$lang['Maximum height must be a number superior to 50'] = 'La altura de las fotos debe ser superior a 50';
+$lang['Maximum width of the pictures'] = 'Ancho máximo de las fotos';
+$lang['Maximum width must be a number superior to 50'] = 'El ancho de las fotos debe ser superior a 50';
+$lang['display most visited pictures'] = 'mostrar las fotos más vistas';
+$lang['The number of images per row must be a not null scalar'] = 'La cantidad de fotos por línea debe ser un número entero superior a cero';
+$lang['Rate this picture'] = 'Votar esta foto';
+$lang['picture'] = 'Foto';
+$lang['Click on the picture to see it in high definition'] = 'Haga clic en la foto para verla en alta resolución';
+$lang['Random pictures'] = 'foto al azar';
+$lang['display a set of random pictures'] = 'mostrar un conjunto aleatorio de fotos';
+$lang['Recent pictures'] = 'fotos recientes';
+$lang['display most recent pictures'] = 'mostrar las fotos más recientes';
+$lang['the filesize of the picture must not exceed :'] = 'el tamaño de la foto debe ser inferior o igual a: ';
+$lang['the picture must be to the fileformat jpg, gif or png'] = 'formatos aceptados: jpg, png ou gif únicamente';
+$lang['the height of the picture must not exceed :'] = 'la altura de la foto debe ser inferior o igual a:  ';
+$lang['the width of the picture must not exceed :'] = 'el ancho de la foto debe ser inferior o igual a:  ';
+$lang['Name of the picture'] = 'Título de la foto';
+$lang['Upload a picture'] = 'Agregar una foto';
+$lang['Picture uploaded with success, an administrator will validate it as soon as possible'] = 'foto agregada con éxito. Un administrador debe aprobarla para que los usuarios puedan verla';
+$lang['Picture name: %s'] = 'Título de la foto: %s';
+$lang['Picture uploaded by %s'] = 'foto subida por %s';
+$lang['%d image']='%d Foto';
+$lang['%d images']='%d Fotos';
+$lang['%d image is also linked to current tags'] = '%d foto también está relacionada con los tags actuales';
+$lang['%d images are also linked to current tags'] = '%d fotos también están relacionada con los tags actuales';
+$lang['See images linked to this tag only'] = 'Ver únicamente las fotos relacionadas a ese tag';
+$lang['images posted during the last %d days'] = 'fotos agregadas los últimos %d días';
+$lang['Choose an image'] = 'Elegir una foto para agregar';
+$lang['delete all images from your favorites'] = 'borrar todas las fotos de tus favoritos';
+$lang['Some info about this picture'] = "Informaciones de esta photo";
+$lang['Some more (technical) info about this picture'] = "Información (técnica) de esta foto";
+$lang['Image Quality'] = 'Calidad de la foto';
+?>
Index: /extensions/Photos/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/Photos/language/fr_FR/plugin.lang.php	(revision 8026)
+++ /extensions/Photos/language/fr_FR/plugin.lang.php	(revision 8026)
@@ -0,0 +1,45 @@
+<?php
+$lang['%d new image'] = '%d nouvelle photo';
+$lang['%d new images'] = '%d nouvelles photos';
+$lang['Complete RSS feed (images, comments)'] = 'Flux RSS complet (photos, commentaires)';
+$lang['Image only RSS feed'] = 'Flux RSS des photos uniquement';
+$lang['The RSS notification feed provides notification on news from this website : new pictures, updated categories, new comments. Use a RSS feed reader.'] = 'Le flux RSS notifie les événements de la galerie : nouvelles photos, catégories mises à jour, nouveaux commentaires utilisateurs. À utiliser avec un lecteur de flux RSS.';
+$lang['add this image to your favorites'] = 'ajouter cette photo à vos favoris';
+$lang['display best rated items'] = 'afficher les photos les mieux notées';
+$lang['delete this image from your favorites'] = 'supprimer cette photo de vos favoris';
+$lang['display my favorites pictures'] = 'afficher mes photos favorites';
+$lang['shows images at the root of this category'] = 'montre les photos à la racine de cette catégorie';
+$lang['Maximum height of the pictures'] = 'Hauteur maximum des photos';
+$lang['Maximum height must be a number superior to 50'] = 'La hauteur maximum des photos doit être supérieure à 50';
+$lang['Maximum width of the pictures'] = 'Largeur maximum des photos';
+$lang['Maximum width must be a number superior to 50'] = 'La largeur des photos doit être supérieure à 50';
+$lang['display most visited pictures'] = 'afficher les photos les plus vues';
+$lang['The number of images per row must be a not null scalar'] = 'Le nombre de photos par ligne doit être un entier non nul';
+$lang['Rate this picture'] = 'Votez pour cette photo';
+$lang['picture'] = 'photo';
+$lang['Click on the picture to see it in high definition'] = 'Cliquer sur la photo pour la visualiser en haute définition';
+$lang['Random pictures'] = 'Photos au hasard';
+$lang['display a set of random pictures'] = 'afficher un ensemble de photos prises au hasard';
+$lang['Recent pictures'] = 'Photos récentes';
+$lang['display most recent pictures'] = 'afficher les photos les plus récentes';
+$lang['the filesize of the picture must not exceed :'] = 'le poids de la photo ne doit pas dépasser : ';
+$lang['the picture must be to the fileformat jpg, gif or png'] = 'le format de la photo doit être jpg, png ou gif';
+$lang['the height of the picture must not exceed :'] = 'la hauteur de la photo ne doit pas dépasser : ';
+$lang['the width of the picture must not exceed :'] = 'la largeur de la photo ne doit pas dépasser : ';
+$lang['Name of the picture'] = 'Nom de la photo';
+$lang['Upload a picture'] = 'Ajouter une photo';
+$lang['Picture uploaded with success, an administrator will validate it as soon as possible'] = 'Photo ajoutée avec succès, un administrateur la validera dès que possible';
+$lang['Upload a picture'] = 'Ajouter une photo';
+$lang['Picture name: %s'] = 'Nom de la photo : %s';
+$lang['Picture uploaded by %s'] = 'Photo téléchargée par %s';
+$lang['%d image']='%d photo';
+$lang['%d images']='%d photos';
+$lang['%d image is also linked to current tags'] = '%d photo est également liée aux mots clés courants';
+$lang['%d images are also linked to current tags'] = '%d photos sont également liées aux mots clés courants';
+$lang['See images linked to this tag only'] = 'Voir les photos liées uniquement à ce mot clé';
+$lang['images posted during the last %d days'] = 'photos ajoutées au cours des %d derniers jours';
+$lang['Choose an image'] = 'Choisir une photo à ajouter';
+$lang['delete all images from your favorites'] = 'supprimer toutes les photos de vos favoris';
+$lang['Some info about this picture'] = "Informations sur cette photo";
+$lang['Some more (technical) info about this picture'] = "Informations (techniques) sur cette photo";
+?>
Index: /extensions/Photos/main.inc.php
===================================================================
--- /extensions/Photos/main.inc.php	(revision 8026)
+++ /extensions/Photos/main.inc.php	(revision 8026)
@@ -0,0 +1,40 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+/*
+Plugin Name: Photos
+Version: 1.0
+Description: Rename "image" into "photo"
+Plugin URI: http://piwigo.org/ext/extension_view.php?eid=449
+Author: J.Capitaine
+*/
+
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+
+add_event_handler('loading_lang', 'overload_image_by_photo');
+function overload_image_by_photo()
+{
+  load_language('plugin.lang', dirname(__FILE__).'/');
+}
+
+?>