Index: extensions/captcha/language/de_DE/description.txt
===================================================================
--- extensions/captcha/language/de_DE/description.txt	(revision 8032)
+++ extensions/captcha/language/de_DE/description.txt	(revision 8032)
@@ -0,0 +1,1 @@
+Fügt ein Captcha in der Registrierungsform hinzu.
Index: extensions/captcha/language/de_DE/index.php
===================================================================
--- extensions/captcha/language/de_DE/index.php	(revision 8032)
+++ extensions/captcha/language/de_DE/index.php	(revision 8032)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/captcha/language/de_DE/plugin.lang.php
===================================================================
--- extensions/captcha/language/de_DE/plugin.lang.php	(revision 8032)
+++ extensions/captcha/language/de_DE/plugin.lang.php	(revision 8032)
@@ -0,0 +1,11 @@
+<?php
+
+$lang['Captcha Configuration'] = 'Captcha Konfiguration';
+$lang['Public Key:'] = 'Öffentlicher Key:';
+$lang['Private Key:'] = 'Privater Key:';
+$lang['Signup for personal usage keys'] = 'Registrieren Sie sich um Ihre persönliche Keys zu erhalten';
+
+$lang['Invalid Captcha'] = 'Captcha ist ungültig';
+$lang['You need to define Captcha keys'] = 'Sie müssen die Captcha Keys bestimmen';
+
+?>
Index: extensions/captcha/language/it_IT/description.txt
===================================================================
--- extensions/captcha/language/it_IT/description.txt	(revision 8032)
+++ extensions/captcha/language/it_IT/description.txt	(revision 8032)
@@ -0,0 +1,1 @@
+Aggiunge un captcha sulla pagina di iscrizione
Index: extensions/captcha/language/it_IT/index.php
===================================================================
--- extensions/captcha/language/it_IT/index.php	(revision 8032)
+++ extensions/captcha/language/it_IT/index.php	(revision 8032)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/captcha/language/it_IT/plugin.lang.php
===================================================================
--- extensions/captcha/language/it_IT/plugin.lang.php	(revision 8032)
+++ extensions/captcha/language/it_IT/plugin.lang.php	(revision 8032)
@@ -0,0 +1,11 @@
+<?php
+
+$lang['Captcha Configuration'] = 'Configurazione del captcha';
+$lang['Public Key:'] = 'Chiave pubblica:';
+$lang['Private Key:'] = 'Chiave privata:';
+$lang['Signup for personal usage keys'] = 'Iscriversi per le chiavi di uso personale';
+
+$lang['Invalid Captcha'] = 'Captcha non valido';
+$lang['You need to define Captcha keys'] = 'È necessario definire le chiavi per il captcha';
+
+?>