Index: /extensions/AMetaData/language/lv_LV/description.txt
===================================================================
--- /extensions/AMetaData/language/lv_LV/description.txt	(revision 8035)
+++ /extensions/AMetaData/language/lv_LV/description.txt	(revision 8035)
@@ -0,0 +1,1 @@
+Papildinātais MetaData spraudnis ir spraudnis, kas lieto visus attēlos esošos metatdatus (EXIF, IPTC and XMP).
Index: /extensions/AMetaData/language/lv_LV/index.php
===================================================================
--- /extensions/AMetaData/language/lv_LV/index.php	(revision 8035)
+++ /extensions/AMetaData/language/lv_LV/index.php	(revision 8035)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/AMetaData/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/AMetaData/language/lv_LV/plugin.lang.php	(revision 8035)
+++ /extensions/AMetaData/language/lv_LV/plugin.lang.php	(revision 8035)
@@ -0,0 +1,367 @@
+<?php
+/*
+ * How to translate metadata names and values ?
+ *
+ * Metadata names and values are not translated with a /language/*.lang.php file
+ * but they are stored in a .po and .mo files, respectively localized into
+ *  - /JpegMetaData/Locale/xx_XX/Tag.po
+ *  - /JpegMetaData/Locale/xx_XX/LC_MESSAGES/Tag.mo
+ *
+ * More information about GNU gettext l10n system and method to edit the .po & .mo
+ * files on wikipedia :
+ *  - http://en.wikipedia.org/wiki/GNU_gettext
+ *
+ */
+
+$lang['Grum Plugin Classes is not installed'] = '<b>Grum Spraudņa Klases</b> spraudnis nav uzinstalēts';
+
+$lang['amd_title_page'] = 'Metadatu uzlabotā pārvaldība';
+$lang['g003_version'] = 'v';
+
+$lang['g003_error_invalid_ajax_call'] = "Kļūdains funkcijas izsaukums!";
+
+$lang['g003_metadata'] = "Metadati";
+$lang['g003_database'] = "Glabātuve";
+$lang['g003_status'] = "Statuss";
+$lang['g003_show'] = "Pārlūkot";
+
+$lang['g003_numberOfAnalyzedPictures'] = "izanalizēti %d attēli un atrasti %d metadi";
+$lang['g003_numberOfNotAnalyzedPictures'] = "nav izanalizēti %d attēli";
+$lang['g003_analyze_not_analyzed_pictures'] = "Analīze koncentrēta uz nekad neanalizētiem attēliem un tiek pievienti eksistējošai krātuvei";
+$lang['g003_analyze_all_pictures'] = "Analīze aptver visus galerijas attēlus un ar tiem tiek aizvietota esošā galabātuve";
+$lang['g003_analyze_caddie_add_pictures'] = "Tiek analizēti attēli grozā (caddie) un tie tiek pievienoti esošajai glabātuvei";
+$lang['g003_analyze_caddie_replace_pictures'] = " Tiek analizēti attēli grozā (caddie) un ar tiem aizvieto esošo glabātuvi";
+$lang['g003_analyze'] = "Analizē";
+$lang['g003_update_metadata'] = "Atjaunina metadatu glabātuvi";
+$lang['g003_status_of_database'] = "Glabātuves statuss";
+$lang['g003_updating_metadata'] = "Glabātuves jauninājums";
+$lang['g003_analyze_in_progress'] = "Analīze procesā...";
+$lang['g003_analyze_is_finished'] = "Analīze pabeigta";
+$lang['g003_loading'] = "Ielādē...";
+$lang['g003_numberOfPicturesWithoutTags'] = "%d attēliem nav metadatu";
+$lang['g003_no_items_selected'] = "Neviens metadats nav atlasīts";
+$lang['g003_selected_tag_isnot_linked_with_any_picture'] = "Atlasītie metadati nav piesaistīti nevienam attēlam";
+$lang['g003_TagId'] = "Metadati";
+$lang['g003_TagLabel'] = "Nosaukums";
+$lang['g003_NumOfImage'] = "Attēli";
+$lang['g003_Pct'] = "%";
+$lang['g003_select'] = "Izvēle";
+$lang['g003_display'] = "Rādīt";
+$lang['g003_order'] = "Sakārtot pēc";
+$lang['g003_filter'] = "Filtrēt";
+$lang['g003_tagOrder'] = "Metadati";
+$lang['g003_numOrder'] = "Attēla skaits";
+$lang['g003_valueOrder'] = "Vērtība";
+$lang['g003_no_filter'] = "Bez filtra";
+$lang['g003_magic_filter'] = "Mģisks (kalkulētie metadi)";
+$lang['g003_exclude_unused_tags'] = "Izņemt neizmantotos metadatus";
+$lang['g003_Value'] = "Vērtība";
+$lang['g003_selected_tags_only'] = "Atgriezt tikai atlasītos metadatus";
+
+$lang['g003_select_metadata'] = "Metadatu atlase";
+$lang['g003_display_management'] = "Metadatu attēlošanas pārvaldība";
+$lang['g003_number_of_filtered_metadata'] = "Metadatu skaits:";
+$lang['g003_number_of_distinct_values'] = "Atšķirīgu noteiktu vērtību skaits:";
+
+$lang['g003_click_to_edit_group'] = "Klikšķināt, lai rediģētu metadatu grupas īpašības";
+$lang['g003_click_to_delete_group'] = "Klikšķināt, lai dzēstu metadatu grupu";
+$lang['g003_click_to_manage_group'] = "Klikšķināt, lai pārvaldītu metadatu grupas elementus";
+$lang['g003_click_to_manage_list'] = "Klikšķināt, lai pievienotu/dzēstu metadatus";
+$lang['g003_add_a_group'] = "Pievienot metadatu grupu";
+$lang['g003_adding_a_group'] = "Metadatu grupas pievienošana";
+$lang['g003_editing_a_group'] = "Metadatu grupas rediģēšana";
+$lang['g003_deleting_a_group'] = "Metadatu grupas dzēšana";
+$lang['g003_new_group'] = "Jauna metadatu grupa";
+$lang['g003_name'] = "Nosaukums";
+$lang['g003_add_delete_tags'] = "Pievienot/dzēst metadatus";
+$lang['g003_confirm_group_delete'] = "Vai esta pārliecināts, ka gribat dzēst %s metadatu grupu?";
+$lang['g003_default_group_name'] = "Fotografēšanas apstākļi";
+
+$lang['g003_ok'] = "Ok";
+$lang['g003_cancel'] = "Atcelt";
+$lang['g003_yes'] = "Jā";
+$lang['g003_no'] = "Nē";
+
+
+$lang['g003_invalid_group_id'] = "Nekorekts metadatu grupas Id";
+$lang['g003_no_tag_can_be_selected'] = "Metadati nav pieejami";
+
+
+$lang['g003_warning_on_analyze_3'] = "Katru reizi kā tiek apmeklēta kāda galerijas lapa, glabātuve tiek pakāpeniski papildināta. Tādējādi laiks, kas nepieciešams darbības pilnīgai pabeigšanai, atkarīgs no:";
+$lang['g003_warning_on_analyze_3a'] = "attēlu skaita galerijā";
+$lang['g003_warning_on_analyze_3b'] = "katru dienu rādīto attēlu skaita";
+$lang['g003_warning_on_analyze_5'] = "Lai iegūtu ātri pilnīgu glabātuvi, iespējama pilnīgāka galerijas analīze:";
+$lang['g003_warning_on_analyze_0'] = "Brīdinājums!";
+$lang['g003_warning_on_analyze_1'] = "Glabātuves veidošana, atkarībā no analīzei izvēlēto attēlu daudzuma, izmantojot tiešu procesu analīzi, var būt ilga (līdz vairākām minūtēm uz procesu) un servera resursu patērējoša.";
+$lang['g003_warning_on_analyze_2'] = "Šādu lietošanas veidu dažas web vietnes var neatbalstīt.";
+
+
+
+$lang['g003_metadata_detail'] = "Metadatu iespējamās vērtības";
+
+$lang['g003_help'] = "Palīdzība par metadatiem";
+$lang['g003_help_tab_exif'] = "Exif";
+$lang['g003_help_tab_iptc'] = "IPTC";
+$lang['g003_help_tab_xmp'] = "XMP";
+$lang['g003_help_tab_magic'] = "Maģiskais";
+$lang['g003_help_exif'] = "EXIF Metadati ir attēla failā saglabātā informācija par attēlu tā uzņemšanas brīdī ar kameru.
+
+ 
+Informācija galvenokārt ir tehniska:
+[ul]
+[li]lietotā iekārta (kameras modelis, izgatavotājs)[/li]
+[li]fotografēšanas apstākļi (diafragma, ekspozīcijas laiks, fokusa attālums)[/li]
+[li]kad fotografēts (datums, laiks)[/li]
+[li]ģeogrāfiskā atrašanās vieta (GPS koordinātas)[/li]
+[li]informācija par foto formātu (izmērs, izšķirtspēja, kompresija)[/li]
+[/ul]
+
+EXIF metadati ir standartizēti ([url]http://www.exif.org/Exif2-2.PDF[/url]), bet :
+[ul]
+[li]Šo standartu iedibinājusi [url=http://www.jeita.or.jp]JEITA[/url] (Japānas Electronikas un Informācijas Technoloģiju Industrijas Asociācija) un tas nav mainījies kopš 2002[/li]
+[li]katrs standartā noteiktais metadats ir izvēles, ne visas kameras ietver visus metadatus[/li]
+[li]a [i] MakerNote [/i] (Veidotāja piezīmes) metadati eksistē kā atvērts lauks, ko lieto izgatavotājs, lai ieglabātu specifikācijās trūkstošu informāciju (piem., atsauces par lēcām); šī informācija ir specifiska katram ražotājam, reizēm arī katrai kamerai. Šis spraudnis zina kā izmantot šo informāciju strādājot ar [b]Pentax[/b], [b]Canon[/b] and [b] Nikon [/b] kamerām.[/li]
+[/ul]";
+
+$lang['g003_help_iptc'] = "IPTC Metadati sastāv no informācijas, ko fotogrāfs var ietvert attēlā, izmantojot atbilstošu programmatūru.
+
+Informācija ir galvenokārt orientēta uz profesionālo pasauli:
+[ul]
+[li]atsauces par fotogrāfu (vārds, kontakti)[/li]
+[li]informācija par Autortiesībām[/li]
+[li]attēla apraksts (nosaukums, apraksts, atsauksmes, iezīmes)[/li]
+[li]dažāda informācija, kas saistīta ar profesionālo pasauli[/li]
+[/ul]
+
+IPTC metadati ir standartizēti ([url]http://www.iptc.org[/url]).
+Šo standartu ir izveidojušas ievērojamāko pasaules ziņu aģentūru konsorcijs, [i]Starptautiskā Preses Telekomunikāciju Padome [/i] (IPTC).
+[li] informācija par foto formātu (izmērs, izšķirtspēja, kompresija)";
+$lang['g003_help_xmp'] = "XMP metadati būtībā ir EXIF un IPTC metadati, kas ieglabāti attēla failā, lietojot XML formātu.
+
+XMP metadati nodrošina lielāku elastību:
+[ul]
+[li]informāciju var saglabāt vairākās valodās[/li]
+[li]Unicode rakstzīmju kopa ļauj (galvenokārt) lietot ne Latīņu rakstzīmes[/li]
+[li] XML atvieglo interpretāciju un informācijas apmaiņu [/li]
+[/ul]
+
+XMP metadati ir standartizēti ([url]http://www.metadataworkinggroup.org/specs[/url]).
+Standarts iesaka izmantot EXIF un IPTC metadatus, ja eksistē.
+
+EXIF & IPTC metadatu konvertāciju uz XMP standartu parasti veic ar foto rediģēšanas programmatūru.
+
+Tā kā XMP modelis ir nabadzīgāks par EXIF, konvertācijas rezultāts būs informācijas zudums attēlā. Parasti lielumam lietotāju šis informācijas zudums nav tik būtisks; tomēr standarts rekomendē, lai XMP metadatus ierakstošā programma saglabātu oriģinālos metadatus: diemžēl tas ne vienmēr tā ir.";
+$lang['g003_help_magic'] = "Viena un tā pati informācija attēlā var tikt ieglabāta dažādos formātos:
+[ul]
+[li]tā var būt jebkurā formātā[/li]
+[li]tā var būt vienā formātā, bet otrā ne[/li]
+[/ul]
+
+Piemēram, info par diafragmu var būt 4 dažādos metadatos:
+[ul]
+[li][b]exif.exif.FNumber[/b][/li]
+[li][b]exif.exif.ApertureValue[/b][/li]
+[li][b]xmp.exif:ApertureValue[/b][/li]
+[li][b]xmp.exif:FNumber[/b][/li]
+[/ul]
+
+Lai atvieglotu izkaisītas informācijas iegūšanu, spraudnis piedāvā nelielu visbiežāk lietoto metadatu grupu un analizē attēlā pārstāvētos, lai dotu tikai vissvarīgāko informāciju.
+Šie tiek saukti par [b]Maģiskajiem[/ b] metadatiem.
+
+Tādējādi, the [b]magic.ShotInfo.Aperture[/b] metadati atgriež:
+[ul]
+[li]ja ietverta attēlā, metadatu [b]exif.exif.FNumber[/b] vērtību, pretējā gadījumā [/li]
+[li] ja ietverta attēlā, metadatu [b]xmp.exif: FNumber[/b]vērtīnu, pretējā gadījumā [/li]
+[li] ja ietverta attēlā, metadatu [b]exif.exif.ApertureValue[/b] vērtību, pretējā gadījumā [/ li]
+[li] ja ietverta attēlā, metadatu [b]xmp.exif: ApertureValue[/b] vērtību.[/li]
+[/ul]";
+
+
+/**----------------------------------------------------------------------------
+  * new keys from releases 0.5.0/0.5.1
+  */
+
+$lang['g003_y'] = "Jā";
+$lang['g003_n'] = "Nē";
+
+$lang['g003_state'] = "Statuss";
+$lang['g003_update'] = "Atjaunināt";
+$lang['g003_personnal'] = "Klienta";
+$lang['g003_search'] = "Meklēt";
+
+$lang['g003_personnal_metadata'] = "Klienta dati";
+$lang['g003_add_a_new_md'] = "Pievienot jaunus metadatus";
+$lang['g003_num_of_rules'] = "Nosacījumu skaits";
+$lang['g003_metadatId'] = "Metadatu identifikators";
+$lang['g003_rules'] = "Nosacījumi";
+$lang['g003_add_a_rule'] = "Pievienot nosacījumu";
+$lang['g003_typeText'] = "Teksts";
+$lang['g003_typeMetadata'] = "Metadati";
+$lang['g003_typeCondition'] = "Stāvoklis";
+$lang['g003_typeCIfExist'] = "eksistē";
+$lang['g003_typeCIfNotExist'] = "neeksistē";
+$lang['g003_typeCIfEqual'] = "vienāds";
+$lang['g003_typeCIfNotEqual'] = "nav vienāds";
+$lang['g003_typeCIfLike'] = "satur";
+$lang['g003_typeCIfNotLike'] = "nesatur";
+$lang['g003_typeCIfBeginWith'] = "sākas ar";
+$lang['g003_typeCIfNotBeginWith'] = "nesākas ar";
+$lang['g003_typeCIfEndWith'] = "beidzas ar";
+$lang['g003_typeCIfNotEndWith'] = "nebeidzas ar";
+$lang['g003_conditionIf'] = "Testēt, ja metadati";
+
+$lang['g003_invalidId'] = "Metadatu identifikators nav korekts";
+$lang['g003_oneRuleIsNeeded'] = "Ir jābūt vismaz vienam nosacījumam";
+$lang['g003_textRuleInvalid'] = "\"Text\" tipa nosacījums: teksta daļa nedrīkst būt tukša";
+$lang['g003_metadataRuleInvalid'] = " \"Metadata\" tipa nosacījums: jābūt atlasītiem metadatiem";
+$lang['g003_conditionMdRuleInvalid'] = " \"Condition\" tipa nosacījums: jābūt atlasītiem metadatiem";
+$lang['g003_conditionRulesRuleInvalid'] = " \"Condition\" tipa nosacījums: jābūt vismaz vienam nosacījumam";
+
+$lang['g003_tagIdAlreadyExist'] = "Metadati ar šādu identifikatoru jau eksistē !";
+
+$lang['g003_pleaseConfirmMetadataDelete'] = "Vai apstiprinat metadatu dzēšanu ?";
+$lang['g003_deleteMetadata'] = "Metadatu dzēšana";
+$lang['g003_delete']= "Dzēst";
+
+$lang['g003_userDefined_filter'] = "Klienta metadati";
+
+$lang['g003_informations'] = "Informācija";
+$lang['g003_databaseInformation'] = "Svarīga informācija par glabātuvi";
+$lang['g003_databaseWarning1']="[p]Glabātuve veidota no galerijas attēlos esošajiem metadatiem, kā arī no spraudņa izveidotajiem metadatiem. Atkarībā no attēlu skaita un metadatu skaita attēlos, glabātuves izmēri var būt ļoti lieli.
+Pirms sākt lietot glabātuvi, pārliecinieties vai jūsu web vietnes pakalpojuma nodrošinātājs atbalsta šāda veida darbību.
+[/p][p]Jābūt pieminētam, ka galbātuves lietošana nav obligāta un, ka to nelieto galerijā esošo attēlu metadatu atspoguļošanai.
+[/p][p]Galerijas aizpildīšana nepieciešama, ja vēlaties:[/p]
+[ul]
+[li]Iegūt attēlos esošo metadatu statistiku (tas kalpo arī metadatu atlasīšanai)[/li]
+[li]Lietot meklētāju[/li]
+[/ul]
+";
+$lang['g003_sizeAndRows'] = "Glabātuves noslodze ir %s un tā satur %s metadatus";
+$lang['g003_numberOfAnalyzedPictures'] = "Izanalizēti %d attēli";
+
+$lang['g003_options'] = "Opcijas";
+$lang['g003_fillDatabaseContinuously'] = "Piepildīt glabātuvi pakāpeniski";
+$lang['g003_ignoreMetadata'] = "Ignorēt sekojošus metadatus:";
+
+$lang['g003_analyze_analyzed_pictures'] = "Tiek analizēti tikai tie attēli, kas jau reizi ir analizēti";
+$lang['g003_fillDatabaseIgnoreWarning'] = "Lai pielietotu, šīs opcijas parametru modifikācija prasa jaunas analīzes veikšanu";
+
+
+$lang['g003_add_metadata'] = "Pievienot metadatus";
+
+$lang['g003_choose_a_metadata'] = "Veikt meklēšanu pēc metadatu vērtības";
+$lang['g003_add'] = "Pievienot";
+$lang['g003_metadata_value_check_one'] = "Vismaz vienam no sekojošā jāizpildās:";
+$lang['g003_metadata_value_check_all'] = "Visām vērtībām jābūt patiesām:";
+
+$lang['g003_metadata_exists']="Eksistē %s metadati";
+$lang['g003_metadata_dont_exists']="Neeksistē %s metadati";
+$lang['g003_metadata_equals_all']="Eksistē %s metadati un atbilsts kādai no sekojošām vērtībām:";
+$lang['g003_metadata_equals_one']="Eksistē %s metadati un atbilst:";
+$lang['g003_metadata_not_equals_all']="Eksistē %s metadati un neatbilst nevienai no sekojošām vērtībām:";
+$lang['g003_metadata_not_equals_one']=" Eksistē %s metadati un nedrīkst būt vienādi ar:";
+$lang['g003_metadata_like_all']=" Eksistē %s metadati un tiem jāsatur kādu no sekojošām vērtībām:";
+$lang['g003_metadata_like_one']=" Eksistē %s metadati un tiem jāsatur:";
+$lang['g003_metadata_not_like_all']=" Eksistē %s metadati un tie nedrīksts saturēt nevieno no sekojošām vērtībām:";
+$lang['g003_metadata_not_like_one']=" Eksistē %s metadati un tie nedrīkst saturēt:";
+$lang['g003_metadata_begin_all']=" Eksistē %s metadati un tiem jāsākas ar kādu no sekojošām vērtībām:";
+$lang['g003_metadata_begin_one']=" Eksistē %s metadati un tiem jāsākas ar:";
+$lang['g003_metadata_not_begin_all']=" Eksistē %s metadati un tie nedrīkst sākties ne ar vienu no sekojošām vērtībām:";
+$lang['g003_metadata_not_begin_one']=" Eksistē %s metadati un tiem nav jāsākas ar:";
+$lang['g003_metadata_end_all']=" Eksistē %s metadati un tiem jābeidzas ar kādu no sekojošām vērtībām:";
+$lang['g003_metadata_end_one']=" Eksistē %s metadati un tiem jābeidzas ar:";
+$lang['g003_metadata_not_end_all']=" Eksistē %s metadati un tie nedrīkst beigties ar kādu no sekojošām vērtībām:";
+$lang['g003_metadata_not_end_one']=" Eksistē %s metadati un tie nedrīkst beigties ar:";
+
+$lang['g003_value_already_set'] = "Vērtība jau ir definēta vērtību domēnā";
+$lang['g003_please_set_a_value'] = "Lūdzu, ievadiet vērtību";
+
+
+$lang['g003_install']="Instalācija";
+$lang['g003_basic_mode']="Pamata";
+$lang['g003_advanced_mode']="Paplašinātā";
+$lang['g003_validate']="OK";
+$lang['g003_step_1']="Spraudņa lietošanas izvēle";
+$lang['g003_basic_mode_help']="
+[i]Pamata[/i] režīms domāts tiem, kas vēlas vienkārši attēlot savu foto metadatus un piedāvā:[ul]
+[li]maksimāli vienkāršu interfeisu[/li]
+[li]mazu metadatu skaitu (apmēram 140, visbiežāk lietotie)[/li]
+[/ul]";
+$lang['g003_advanced_mode_help']="
+[i]Paplašinātais[/i] režīms domāts tiem, kas grib izmantot maksimumu no foto un metadatu iespējām un piedāvā:[ul]
+[li]komplicētāku, bet pilnīgu interfeisu[/li]
+[li]pilnu metadatu sarakstu (apmēram 540)[/li]
+[li]paplašinātu funkcionalitāti (statistika, meklēšana ...)[/li]
+[/ul]
+[i]Paplašinātais[/i] režīms prasa glabātuves (repozitārija) izveidošanu.";
+
+
+$lang['g003_tags']="Iezīmes (tagi)";
+$lang['g003_number_of_keywords']="Atslēgvārdu skaits:";
+$lang['g003_keyword']="Atslēgvārds";
+$lang['g003_tag_in_piwigo']="Eksistē Piwigo";
+$lang['g003_num_of_pictures']="Fotogrāfiju skaits";
+$lang['g003_num_of_pictures_already_tagged']="Jau iezīmēto fotogrāfiju skaits";
+$lang['g003_convert_ok']="Konversija veikta korekti";
+$lang['g003_convert_keywords_and_apply']="Konvertēt";
+$lang['g003_no_keywords']="Nav atrasts neviens konvertējams atslēgvārds";
+
+
+$lang['g003_tags_page_help']="Šī darbība veic atslēgvārdu iegūšanu priekš jūsu attēliem no metadatiem un ļauj jums konvertēt [i]Iezīmes[/i].
+Attēli, priekš kuriem atslēgvārdi jau ir konvertēti un sasaistīti, neparādās: proponēti tikai konvertējamu un asociējamu attēlu atslēgvārdi.";
+
+$lang['g003_search_page_help']="Iespējms veikt dažādas meklēšanas metadatu saturā, no vienkāršas līdz komplicētai: pievienojiet kritērijus un kombinējiet tos ar drag un drop.";
+
+$lang['g003_personnal_page_help']="Iespējams pašam izveidot savus metadatus no jau eksistējošiem.
+[ul]
+[li]Pievienot jaunus metadatus[/li]
+[li]Aizpildīt īpašības[/li]
+[li]Pievienot noteikumus un, ja nepieciešams, kombinējiet tos ar drag'n'drop[/li]
+[/ul]";
+
+$lang['g003_select_page_help']="Tikai šeit atlasītie metadati ir pieejami citu interfeisu konfigurācijā: tas ļauj samazināt metadatu skaitu līdz tādam, kas jums škiet visvajadzīgākais un būtiskākais.
+Atlase tiek veikta nekavējoties (nav nepieciešams apstiprinājums).";
+
+
+$lang['g003_display_page_help']="Kopā ar foto atsūtītie metadati var tikt kārtoti un grupēti.
+Pēc noklusēšanas, tikai [i]".$lang['g003_default_group_name']."[/i] grupēti, bet iespējams izveidot cik nepieciešams ([i]IPTC[/i], [i]Ģeolokāciju[/i], ...).
+[ul]
+[li]Izveido Jums nepieciešamās metadatu grupas[/li]
+[li]Pievieno demonstrēšanai paredzētos metadatus[/li]
+[li]Grupas ietvaros ar drag'n'drop kārto metadatu demonstrēšanas kārtību [/li]
+[li]Ar drag'n'drop kārto grupu rādīšanas kārtību[/li]
+[/ul]
+Atlase un kārtojums tiek pielietots nekavējoši (nav nepieciešams apstiprinājums).";
+
+$lang['g003_gpc_not_up_to_date']="Spraudnim nepieciešams, lai ir uzinstalēta <i>Grum Plugin Classes </i> %s versija.
+Patlaban uzinstalēta %s versija: lūdzu izmantojiet spraudņa <i>Grum Plugin Classes</i> atjaunināšanas versiju.";
+
+
+/**----------------------------------------------------------------------------
+  * removed keys from releases 0.5.0/0.5.1
+  */
+//$lang['g003_warning_on_analyze_4a']
+//$lang['g003_warning_on_analyze_4b']
+
+
+
+/**----------------------------------------------------------------------------
+  * new keys from releases 0.5.3
+  */
+$lang['g003_1_picture_in_caddie']="grozā 1 attēls";
+$lang['g003_n_pictures_in_caddie']="grozā %s attēli";
+$lang['g003_analyze_random_pictures'] = "Tiek analizēti no nekad vēl neanalizētiem attēliem %s nejauši izvēlēti attēli, un rezultāts pievienots eksistējošai glabātuvei";
+$lang['g003_invalid_random_number']="Apstrādei paredzēto attēlu skaits nav korekts";
+
+
+$lang['g003_database_is_not_up_to_date']="Glabātuvē nav svaigāko datu !";
+$lang['g003_databaseWarning2_1']="[p]Kopš pēdējās spraudņa atjaunināšanas ir pieejami jauni metadati:[/p][ul]%s[/ul]
+[p]
+Lai izmantotu glabātuvi, to nepieciešams atjaunināt.[/p]";
+$lang['g003_databaseWarning2_n']="[p]Kopš pēdējās spraudņa atjaunināšanas ir pieejami daži jauni metadati:[/p][ul]%s[/ul]
+[p]
+Lai izmantotu glabātuvi, to nepieciešams atjaunināt.[/p]";
+
+// help for metadata translation is given at the beginning of this file
+
+?>